import request from '@/utils/request'

// 查询测试项目分类列表
export function listItemCategory(query) {
    return request({
        url: '/system/itemCategory/list',
        method: 'get',
        params: query
    })
}

// 查询测试项目分类详细
export function getItemCategory(id) {
    return request({
        url: '/system/itemCategory/' + id,
        method: 'get'
    })
}

// 新增测试项目分类
export function addItemCategory(data) {
    return request({
        url: '/system/itemCategory/add',
        method: 'post',
        data: data
    })
}

// 修改测试项目分类
export function updateItemCategory(data) {
    return request({
        url: '/system/itemCategory/edit',
        method: 'post',
        data: data
    })
}

// 删除测试项目分类
export function delItemCategory(id) {
    return request({
        url: '/system/itemCategory/' + id,
        method: 'delete'
    })
}
